Subject: Re: Software Emulation Exception...

From: Dan Malek <[email-masked]>
Date: Tue, 11 Apr 2000 08:08:07 -0400

Marcus Sundberg wrote:

> .... It has a 100% chance of crashing without the patch, and a 0%
> chance of crashing with it.

I agree the patch is necessary to fix a problem managing dirty
pages......

> All you have to do to experience the problem is allocate memory
> until the RAM gets low

....but this wasn't the test....

> .... If you are running a dynamicly linked glibc2
> app what is most likely to happen is that the (dirty) jump table
> is thrown out by the broken MM code.

If, if, if......Is this really what is happening?  I am concerned about
proving a real problem and fixing it.  If you aren't, that's OK.  I
have other things to do.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/